Documentation
¶
Index ¶
- Constants
- type CreateModule
- type CreateModuleBadRequest
- type CreateModuleCreated
- type CreateModuleHandler
- type CreateModuleHandlerFunc
- type CreateModuleParams
- type CreateModuleURL
- func (o *CreateModuleURL) Build() (*url.URL, error)
- func (o *CreateModuleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *CreateModuleURL) Must(u *url.URL, err error) *url.URL
- func (o *CreateModuleURL) SetBasePath(bp string)
- func (o *CreateModuleURL) String() string
- func (o *CreateModuleURL) StringFull(scheme, host string) string
- func (o *CreateModuleURL) WithBasePath(bp string) *CreateModuleURL
- type DeleteModule
- type DeleteModuleHandler
- type DeleteModuleHandlerFunc
- type DeleteModuleInternalServerError
- func (o *DeleteModuleInternalServerError) SetPayload(payload *models.ServerError)
- func (o *DeleteModuleInternalServerError) WithPayload(payload *models.ServerError) *DeleteModuleInternalServerError
- func (o *DeleteModuleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type DeleteModuleNoContent
- type DeleteModuleNotFound
- type DeleteModuleParams
- type DeleteModuleURL
- func (o *DeleteModuleURL) Build() (*url.URL, error)
- func (o *DeleteModuleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *DeleteModuleURL) Must(u *url.URL, err error) *url.URL
- func (o *DeleteModuleURL) SetBasePath(bp string)
- func (o *DeleteModuleURL) String() string
- func (o *DeleteModuleURL) StringFull(scheme, host string) string
- func (o *DeleteModuleURL) WithBasePath(bp string) *DeleteModuleURL
- type DeleteModuleUnprocessableEntity
- func (o *DeleteModuleUnprocessableEntity) SetPayload(payload *models.ServerError)
- func (o *DeleteModuleUnprocessableEntity) WithPayload(payload *models.ServerError) *DeleteModuleUnprocessableEntity
- func (o *DeleteModuleUnprocessableEntity) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetModule
- type GetModuleHandler
- type GetModuleHandlerFunc
- type GetModuleInternalServerError
- type GetModuleNotFound
- type GetModuleOK
- type GetModuleParams
- type GetModuleURL
- func (o *GetModuleURL) Build() (*url.URL, error)
- func (o *GetModuleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetModuleURL) Must(u *url.URL, err error) *url.URL
- func (o *GetModuleURL) SetBasePath(bp string)
- func (o *GetModuleURL) String() string
- func (o *GetModuleURL) StringFull(scheme, host string) string
- func (o *GetModuleURL) WithBasePath(bp string) *GetModuleURL
- type ListModules
- type ListModulesHandler
- type ListModulesHandlerFunc
- type ListModulesInternalServerError
- func (o *ListModulesInternalServerError) SetPayload(payload *models.ServerError)
- func (o *ListModulesInternalServerError) WithPayload(payload *models.ServerError) *ListModulesInternalServerError
- func (o *ListModulesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type ListModulesNotFound
- type ListModulesOK
- type ListModulesParams
- type ListModulesURL
- func (o *ListModulesURL) Build() (*url.URL, error)
- func (o *ListModulesURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *ListModulesURL) Must(u *url.URL, err error) *url.URL
- func (o *ListModulesURL) SetBasePath(bp string)
- func (o *ListModulesURL) String() string
- func (o *ListModulesURL) StringFull(scheme, host string) string
- func (o *ListModulesURL) WithBasePath(bp string) *ListModulesURL
Constants ¶
const CreateModuleBadRequestCode int = 400
CreateModuleBadRequestCode is the HTTP code returned for type CreateModuleBadRequest
const CreateModuleCreatedCode int = 201
CreateModuleCreatedCode is the HTTP code returned for type CreateModuleCreated
const DeleteModuleInternalServerErrorCode int = 500
DeleteModuleInternalServerErrorCode is the HTTP code returned for type DeleteModuleInternalServerError
const DeleteModuleNoContentCode int = 204
DeleteModuleNoContentCode is the HTTP code returned for type DeleteModuleNoContent
const DeleteModuleNotFoundCode int = 404
DeleteModuleNotFoundCode is the HTTP code returned for type DeleteModuleNotFound
const DeleteModuleUnprocessableEntityCode int = 422
DeleteModuleUnprocessableEntityCode is the HTTP code returned for type DeleteModuleUnprocessableEntity
const GetModuleInternalServerErrorCode int = 500
GetModuleInternalServerErrorCode is the HTTP code returned for type GetModuleInternalServerError
const GetModuleNotFoundCode int = 404
GetModuleNotFoundCode is the HTTP code returned for type GetModuleNotFound
const GetModuleOKCode int = 200
GetModuleOKCode is the HTTP code returned for type GetModuleOK
const ListModulesInternalServerErrorCode int = 500
ListModulesInternalServerErrorCode is the HTTP code returned for type ListModulesInternalServerError
const ListModulesNotFoundCode int = 404
ListModulesNotFoundCode is the HTTP code returned for type ListModulesNotFound
const ListModulesOKCode int = 200
ListModulesOKCode is the HTTP code returned for type ListModulesOK
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type CreateModule ¶
type CreateModule struct {
Context *middleware.Context
Handler CreateModuleHandler
}
CreateModule swagger:route POST /tf/modules modules createModule
Upload a Terraform module
func NewCreateModule ¶
func NewCreateModule(ctx *middleware.Context, handler CreateModuleHandler) *CreateModule
NewCreateModule creates a new http.Handler for the create module operation
func (*CreateModule) ServeHTTP ¶
func (o *CreateModule) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type CreateModuleBadRequest ¶
type CreateModuleBadRequest struct {
/*
In: Body
*/
Payload *models.ServerError `json:"body,omitempty"`
}
CreateModuleBadRequest Bad Request
swagger:response createModuleBadRequest
func NewCreateModuleBadRequest ¶
func NewCreateModuleBadRequest() *CreateModuleBadRequest
NewCreateModuleBadRequest creates CreateModuleBadRequest with default headers values
func (*CreateModuleBadRequest) SetPayload ¶
func (o *CreateModuleBadRequest) SetPayload(payload *models.ServerError)
SetPayload sets the payload to the create module bad request response
func (*CreateModuleBadRequest) WithPayload ¶
func (o *CreateModuleBadRequest) WithPayload(payload *models.ServerError) *CreateModuleBadRequest
WithPayload adds the payload to the create module bad request response
func (*CreateModuleBadRequest) WriteResponse ¶
func (o *CreateModuleBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type CreateModuleCreated ¶
type CreateModuleCreated struct {
/*
In: Body
*/
Payload *models.ResourceTfModule `json:"body,omitempty"`
}
CreateModuleCreated OK
swagger:response createModuleCreated
func NewCreateModuleCreated ¶
func NewCreateModuleCreated() *CreateModuleCreated
NewCreateModuleCreated creates CreateModuleCreated with default headers values
func (*CreateModuleCreated) SetPayload ¶
func (o *CreateModuleCreated) SetPayload(payload *models.ResourceTfModule)
SetPayload sets the payload to the create module created response
func (*CreateModuleCreated) WithPayload ¶
func (o *CreateModuleCreated) WithPayload(payload *models.ResourceTfModule) *CreateModuleCreated
WithPayload adds the payload to the create module created response
func (*CreateModuleCreated) WriteResponse ¶
func (o *CreateModuleCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type CreateModuleHandler ¶
type CreateModuleHandler interface {
Handle(CreateModuleParams, *models.ResourceAuthUser) middleware.Responder
}
CreateModuleHandler interface for that can handle valid create module params
type CreateModuleHandlerFunc ¶
type CreateModuleHandlerFunc func(CreateModuleParams, *models.ResourceAuthUser) middleware.Responder
CreateModuleHandlerFunc turns a function with the right signature into a create module handler
func (CreateModuleHandlerFunc) Handle ¶
func (fn CreateModuleHandlerFunc) Handle(params CreateModuleParams, principal *models.ResourceAuthUser) middleware.Responder
Handle executing the request and returning a response
type CreateModuleParams ¶
type CreateModuleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*A terraform module
In: body
*/
TerraformModule *models.ResourceTfModule
}
CreateModuleParams contains all the bound params for the create module operation typically these are obtained from a http.Request
swagger:parameters create-module
func NewCreateModuleParams ¶
func NewCreateModuleParams() CreateModuleParams
NewCreateModuleParams creates a new CreateModuleParams object no default values defined in spec.
func (*CreateModuleParams) BindRequest ¶
func (o *CreateModuleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewCreateModuleParams() beforehand.
type CreateModuleURL ¶
type CreateModuleURL struct {
// contains filtered or unexported fields
}
CreateModuleURL generates an URL for the create module operation
func (*CreateModuleURL) Build ¶
func (o *CreateModuleURL) Build() (*url.URL, error)
Build a url path and query string
func (*CreateModuleURL) BuildFull ¶
func (o *CreateModuleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*CreateModuleURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*CreateModuleURL) SetBasePath ¶
func (o *CreateModuleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*CreateModuleURL) String ¶
func (o *CreateModuleURL) String() string
String returns the string representation of the path with query string
func (*CreateModuleURL) StringFull ¶
func (o *CreateModuleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*CreateModuleURL) WithBasePath ¶
func (o *CreateModuleURL) WithBasePath(bp string) *CreateModuleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type DeleteModule ¶
type DeleteModule struct {
Context *middleware.Context
Handler DeleteModuleHandler
}
DeleteModule swagger:route DELETE /tf/module/{id} modules deleteModule
Delete a terraform module
func NewDeleteModule ¶
func NewDeleteModule(ctx *middleware.Context, handler DeleteModuleHandler) *DeleteModule
NewDeleteModule creates a new http.Handler for the delete module operation
func (*DeleteModule) ServeHTTP ¶
func (o *DeleteModule) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type DeleteModuleHandler ¶
type DeleteModuleHandler interface {
Handle(DeleteModuleParams, *models.ResourceAuthUser) middleware.Responder
}
DeleteModuleHandler interface for that can handle valid delete module params
type DeleteModuleHandlerFunc ¶
type DeleteModuleHandlerFunc func(DeleteModuleParams, *models.ResourceAuthUser) middleware.Responder
DeleteModuleHandlerFunc turns a function with the right signature into a delete module handler
func (DeleteModuleHandlerFunc) Handle ¶
func (fn DeleteModuleHandlerFunc) Handle(params DeleteModuleParams, principal *models.ResourceAuthUser) middleware.Responder
Handle executing the request and returning a response
type DeleteModuleInternalServerError ¶
type DeleteModuleInternalServerError struct {
/*
In: Body
*/
Payload *models.ServerError `json:"body,omitempty"`
}
DeleteModuleInternalServerError Internal Server Error
swagger:response deleteModuleInternalServerError
func NewDeleteModuleInternalServerError ¶
func NewDeleteModuleInternalServerError() *DeleteModuleInternalServerError
NewDeleteModuleInternalServerError creates DeleteModuleInternalServerError with default headers values
func (*DeleteModuleInternalServerError) SetPayload ¶
func (o *DeleteModuleInternalServerError) SetPayload(payload *models.ServerError)
SetPayload sets the payload to the delete module internal server error response
func (*DeleteModuleInternalServerError) WithPayload ¶
func (o *DeleteModuleInternalServerError) WithPayload(payload *models.ServerError) *DeleteModuleInternalServerError
WithPayload adds the payload to the delete module internal server error response
func (*DeleteModuleInternalServerError) WriteResponse ¶
func (o *DeleteModuleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteModuleNoContent ¶
type DeleteModuleNoContent struct {
}
DeleteModuleNoContent No Content
swagger:response deleteModuleNoContent
func NewDeleteModuleNoContent ¶
func NewDeleteModuleNoContent() *DeleteModuleNoContent
NewDeleteModuleNoContent creates DeleteModuleNoContent with default headers values
func (*DeleteModuleNoContent) WriteResponse ¶
func (o *DeleteModuleNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteModuleNotFound ¶
type DeleteModuleNotFound struct {
/*
In: Body
*/
Payload *models.ServerError `json:"body,omitempty"`
}
DeleteModuleNotFound Not Found
swagger:response deleteModuleNotFound
func NewDeleteModuleNotFound ¶
func NewDeleteModuleNotFound() *DeleteModuleNotFound
NewDeleteModuleNotFound creates DeleteModuleNotFound with default headers values
func (*DeleteModuleNotFound) SetPayload ¶
func (o *DeleteModuleNotFound) SetPayload(payload *models.ServerError)
SetPayload sets the payload to the delete module not found response
func (*DeleteModuleNotFound) WithPayload ¶
func (o *DeleteModuleNotFound) WithPayload(payload *models.ServerError) *DeleteModuleNotFound
WithPayload adds the payload to the delete module not found response
func (*DeleteModuleNotFound) WriteResponse ¶
func (o *DeleteModuleNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteModuleParams ¶
type DeleteModuleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Unique identifier for this module
Required: true
In: path
*/
ID string
}
DeleteModuleParams contains all the bound params for the delete module operation typically these are obtained from a http.Request
swagger:parameters delete-module
func NewDeleteModuleParams ¶
func NewDeleteModuleParams() DeleteModuleParams
NewDeleteModuleParams creates a new DeleteModuleParams object no default values defined in spec.
func (*DeleteModuleParams) BindRequest ¶
func (o *DeleteModuleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewDeleteModuleParams() beforehand.
type DeleteModuleURL ¶
type DeleteModuleURL struct {
ID string
// contains filtered or unexported fields
}
DeleteModuleURL generates an URL for the delete module operation
func (*DeleteModuleURL) Build ¶
func (o *DeleteModuleURL) Build() (*url.URL, error)
Build a url path and query string
func (*DeleteModuleURL) BuildFull ¶
func (o *DeleteModuleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*DeleteModuleURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*DeleteModuleURL) SetBasePath ¶
func (o *DeleteModuleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*DeleteModuleURL) String ¶
func (o *DeleteModuleURL) String() string
String returns the string representation of the path with query string
func (*DeleteModuleURL) StringFull ¶
func (o *DeleteModuleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*DeleteModuleURL) WithBasePath ¶
func (o *DeleteModuleURL) WithBasePath(bp string) *DeleteModuleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type DeleteModuleUnprocessableEntity ¶
type DeleteModuleUnprocessableEntity struct {
/*
In: Body
*/
Payload *models.ServerError `json:"body,omitempty"`
}
DeleteModuleUnprocessableEntity Unprocessable Entity
swagger:response deleteModuleUnprocessableEntity
func NewDeleteModuleUnprocessableEntity ¶
func NewDeleteModuleUnprocessableEntity() *DeleteModuleUnprocessableEntity
NewDeleteModuleUnprocessableEntity creates DeleteModuleUnprocessableEntity with default headers values
func (*DeleteModuleUnprocessableEntity) SetPayload ¶
func (o *DeleteModuleUnprocessableEntity) SetPayload(payload *models.ServerError)
SetPayload sets the payload to the delete module unprocessable entity response
func (*DeleteModuleUnprocessableEntity) WithPayload ¶
func (o *DeleteModuleUnprocessableEntity) WithPayload(payload *models.ServerError) *DeleteModuleUnprocessableEntity
WithPayload adds the payload to the delete module unprocessable entity response
func (*DeleteModuleUnprocessableEntity) WriteResponse ¶
func (o *DeleteModuleUnprocessableEntity) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetModule ¶
type GetModule struct {
Context *middleware.Context
Handler GetModuleHandler
}
GetModule swagger:route GET /tf/module/{id} modules getModule
Get a Terraform module
func NewGetModule ¶
func NewGetModule(ctx *middleware.Context, handler GetModuleHandler) *GetModule
NewGetModule creates a new http.Handler for the get module operation
type GetModuleHandler ¶
type GetModuleHandler interface {
Handle(GetModuleParams, *models.ResourceAuthUser) middleware.Responder
}
GetModuleHandler interface for that can handle valid get module params
type GetModuleHandlerFunc ¶
type GetModuleHandlerFunc func(GetModuleParams, *models.ResourceAuthUser) middleware.Responder
GetModuleHandlerFunc turns a function with the right signature into a get module handler
func (GetModuleHandlerFunc) Handle ¶
func (fn GetModuleHandlerFunc) Handle(params GetModuleParams, principal *models.ResourceAuthUser) middleware.Responder
Handle executing the request and returning a response
type GetModuleInternalServerError ¶
type GetModuleInternalServerError struct {
/*
In: Body
*/
Payload *models.ServerError `json:"body,omitempty"`
}
GetModuleInternalServerError Internal Server Error
swagger:response getModuleInternalServerError
func NewGetModuleInternalServerError ¶
func NewGetModuleInternalServerError() *GetModuleInternalServerError
NewGetModuleInternalServerError creates GetModuleInternalServerError with default headers values
func (*GetModuleInternalServerError) SetPayload ¶
func (o *GetModuleInternalServerError) SetPayload(payload *models.ServerError)
SetPayload sets the payload to the get module internal server error response
func (*GetModuleInternalServerError) WithPayload ¶
func (o *GetModuleInternalServerError) WithPayload(payload *models.ServerError) *GetModuleInternalServerError
WithPayload adds the payload to the get module internal server error response
func (*GetModuleInternalServerError) WriteResponse ¶
func (o *GetModuleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetModuleNotFound ¶
type GetModuleNotFound struct {
/*
In: Body
*/
Payload *models.ServerError `json:"body,omitempty"`
}
GetModuleNotFound Not Found
swagger:response getModuleNotFound
func NewGetModuleNotFound ¶
func NewGetModuleNotFound() *GetModuleNotFound
NewGetModuleNotFound creates GetModuleNotFound with default headers values
func (*GetModuleNotFound) SetPayload ¶
func (o *GetModuleNotFound) SetPayload(payload *models.ServerError)
SetPayload sets the payload to the get module not found response
func (*GetModuleNotFound) WithPayload ¶
func (o *GetModuleNotFound) WithPayload(payload *models.ServerError) *GetModuleNotFound
WithPayload adds the payload to the get module not found response
func (*GetModuleNotFound) WriteResponse ¶
func (o *GetModuleNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetModuleOK ¶
type GetModuleOK struct {
/*
In: Body
*/
Payload *models.ResourceTfModule `json:"body,omitempty"`
}
GetModuleOK OK
swagger:response getModuleOK
func NewGetModuleOK ¶
func NewGetModuleOK() *GetModuleOK
NewGetModuleOK creates GetModuleOK with default headers values
func (*GetModuleOK) SetPayload ¶
func (o *GetModuleOK) SetPayload(payload *models.ResourceTfModule)
SetPayload sets the payload to the get module o k response
func (*GetModuleOK) WithPayload ¶
func (o *GetModuleOK) WithPayload(payload *models.ResourceTfModule) *GetModuleOK
WithPayload adds the payload to the get module o k response
func (*GetModuleOK) WriteResponse ¶
func (o *GetModuleOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetModuleParams ¶
type GetModuleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Unique identifier for this module
Required: true
In: path
*/
ID string
}
GetModuleParams contains all the bound params for the get module operation typically these are obtained from a http.Request
swagger:parameters get-module
func NewGetModuleParams ¶
func NewGetModuleParams() GetModuleParams
NewGetModuleParams creates a new GetModuleParams object no default values defined in spec.
func (*GetModuleParams) BindRequest ¶
func (o *GetModuleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetModuleParams() beforehand.
type GetModuleURL ¶
type GetModuleURL struct {
ID string
// contains filtered or unexported fields
}
GetModuleURL generates an URL for the get module operation
func (*GetModuleURL) Build ¶
func (o *GetModuleURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetModuleURL) BuildFull ¶
func (o *GetModuleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetModuleURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetModuleURL) SetBasePath ¶
func (o *GetModuleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetModuleURL) String ¶
func (o *GetModuleURL) String() string
String returns the string representation of the path with query string
func (*GetModuleURL) StringFull ¶
func (o *GetModuleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetModuleURL) WithBasePath ¶
func (o *GetModuleURL) WithBasePath(bp string) *GetModuleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type ListModules ¶
type ListModules struct {
Context *middleware.Context
Handler ListModulesHandler
}
ListModules swagger:route GET /tf/modules modules listModules
List TF modules
func NewListModules ¶
func NewListModules(ctx *middleware.Context, handler ListModulesHandler) *ListModules
NewListModules creates a new http.Handler for the list modules operation
func (*ListModules) ServeHTTP ¶
func (o *ListModules) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type ListModulesHandler ¶
type ListModulesHandler interface {
Handle(ListModulesParams, *models.ResourceAuthUser) middleware.Responder
}
ListModulesHandler interface for that can handle valid list modules params
type ListModulesHandlerFunc ¶
type ListModulesHandlerFunc func(ListModulesParams, *models.ResourceAuthUser) middleware.Responder
ListModulesHandlerFunc turns a function with the right signature into a list modules handler
func (ListModulesHandlerFunc) Handle ¶
func (fn ListModulesHandlerFunc) Handle(params ListModulesParams, principal *models.ResourceAuthUser) middleware.Responder
Handle executing the request and returning a response
type ListModulesInternalServerError ¶
type ListModulesInternalServerError struct {
/*
In: Body
*/
Payload *models.ServerError `json:"body,omitempty"`
}
ListModulesInternalServerError Internal Server Error
swagger:response listModulesInternalServerError
func NewListModulesInternalServerError ¶
func NewListModulesInternalServerError() *ListModulesInternalServerError
NewListModulesInternalServerError creates ListModulesInternalServerError with default headers values
func (*ListModulesInternalServerError) SetPayload ¶
func (o *ListModulesInternalServerError) SetPayload(payload *models.ServerError)
SetPayload sets the payload to the list modules internal server error response
func (*ListModulesInternalServerError) WithPayload ¶
func (o *ListModulesInternalServerError) WithPayload(payload *models.ServerError) *ListModulesInternalServerError
WithPayload adds the payload to the list modules internal server error response
func (*ListModulesInternalServerError) WriteResponse ¶
func (o *ListModulesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListModulesNotFound ¶
type ListModulesNotFound struct {
/*
In: Body
*/
Payload *models.ServerError `json:"body,omitempty"`
}
ListModulesNotFound Not Found
swagger:response listModulesNotFound
func NewListModulesNotFound ¶
func NewListModulesNotFound() *ListModulesNotFound
NewListModulesNotFound creates ListModulesNotFound with default headers values
func (*ListModulesNotFound) SetPayload ¶
func (o *ListModulesNotFound) SetPayload(payload *models.ServerError)
SetPayload sets the payload to the list modules not found response
func (*ListModulesNotFound) WithPayload ¶
func (o *ListModulesNotFound) WithPayload(payload *models.ServerError) *ListModulesNotFound
WithPayload adds the payload to the list modules not found response
func (*ListModulesNotFound) WriteResponse ¶
func (o *ListModulesNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListModulesOK ¶
type ListModulesOK struct {
/*
In: Body
*/
Payload *models.ResponseListTfModules `json:"body,omitempty"`
}
ListModulesOK OK
swagger:response listModulesOK
func NewListModulesOK ¶
func NewListModulesOK() *ListModulesOK
NewListModulesOK creates ListModulesOK with default headers values
func (*ListModulesOK) SetPayload ¶
func (o *ListModulesOK) SetPayload(payload *models.ResponseListTfModules)
SetPayload sets the payload to the list modules o k response
func (*ListModulesOK) WithPayload ¶
func (o *ListModulesOK) WithPayload(payload *models.ResponseListTfModules) *ListModulesOK
WithPayload adds the payload to the list modules o k response
func (*ListModulesOK) WriteResponse ¶
func (o *ListModulesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListModulesParams ¶
ListModulesParams contains all the bound params for the list modules operation typically these are obtained from a http.Request
swagger:parameters list-modules
func NewListModulesParams ¶
func NewListModulesParams() ListModulesParams
NewListModulesParams creates a new ListModulesParams object no default values defined in spec.
func (*ListModulesParams) BindRequest ¶
func (o *ListModulesParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewListModulesParams() beforehand.
type ListModulesURL ¶
type ListModulesURL struct {
// contains filtered or unexported fields
}
ListModulesURL generates an URL for the list modules operation
func (*ListModulesURL) Build ¶
func (o *ListModulesURL) Build() (*url.URL, error)
Build a url path and query string
func (*ListModulesURL) BuildFull ¶
func (o *ListModulesURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*ListModulesURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*ListModulesURL) SetBasePath ¶
func (o *ListModulesURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*ListModulesURL) String ¶
func (o *ListModulesURL) String() string
String returns the string representation of the path with query string
func (*ListModulesURL) StringFull ¶
func (o *ListModulesURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*ListModulesURL) WithBasePath ¶
func (o *ListModulesURL) WithBasePath(bp string) *ListModulesURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
Source Files
¶
- create_module.go
- create_module_parameters.go
- create_module_responses.go
- create_module_urlbuilder.go
- delete_module.go
- delete_module_parameters.go
- delete_module_responses.go
- delete_module_urlbuilder.go
- get_module.go
- get_module_parameters.go
- get_module_responses.go
- get_module_urlbuilder.go
- list_modules.go
- list_modules_parameters.go
- list_modules_responses.go
- list_modules_urlbuilder.go